package com.realnet.app-b.Services;
import com.realnet.app-b.Repository.CalculatorRepository;
import com.realnet.app-b.Entity.Calculator
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;
import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;








	import org.springframework.stereotype.Service;

@Service
 public class CalculatorService {
@Autowired
private CalculatorRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;







public Calculator Savedata(Calculator data) {








	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Calculator save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Calculator> getAllWithPagination(Pageable page) {
		return Repository.findAll( getUser().getUserId(),page);
	}			
public List<Calculator> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Calculator> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Calculator getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Calculator update(Calculator data,Integer id) {
	Calculator old = Repository.findById(id).get();
old.setNumber1(data.getNumber1());

old.setNumber2(data.getNumber2());

old.setOperation(data.getOperation());

old.setResult(data.getResult());

final Calculator test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 








 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
